Debian Bug report logs - #566252
sympa: ERROR: column "XXX" must appear in the GROUP BY clause or be used in an aggregate function

version graph

Package: sympa; Maintainer for sympa is Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>; Source for sympa is src:sympa.

Reported by: Gregory Colpart <reg@evolix.fr>

Date: Fri, 22 Jan 2010 13:27:05 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version sympa/5.3.4-6.1

Fixed in version sympa/6.0.1-1

Done: Stefan Hornburg (Racke) <racke@linuxia.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa@ithilieninc.com>:
Bug#566252; Package sympa. (Fri, 22 Jan 2010 13:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregory Colpart <reg@evolix.fr>:
New Bug report received and forwarded. Copy sent to Debian Sympa team <pkg-sympa@ithilieninc.com>. (Fri, 22 Jan 2010 13:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gregory Colpart <reg@evolix.fr>
To: submit@bugs.debian.org
Subject: sympa: ERROR: column "XXX" must appear in the GROUP BY clause or be used in an aggregate function
Date: Fri, 22 Jan 2010 14:15:27 +0100
Package: sympa
Version: 5.3.4-6.1
Severity: normal
Tags: patch fixed-upstream

Hello,

I upgraded from Etch to Lenny, and I discover a bug when searching in
"logs" (on "Admin" section on web interface):

Jan 22 12:40:25 serveur wwsympa[15628]: Log::get_first_db_log() Unable to execute SQL statement "SELECT date_logs AS date, robot_logs AS robot, list_logs AS list, action_logs AS action, parameters_logs AS parameters, target_email_logs AS target_email,msg_id_logs AS msg_id, status_logs AS status, error_type_logs AS error_type, user_email_logs AS user_email, client_logs AS client, daemon_logs AS daemon FROM logs_table WHERE robot_logs='example.com' AND list_logs = 'testlist' GROUP BY date_logs " : ERROR:  column "logs_table.robot_logs" must appear in the GROUP BY clause or be used in an aggregate function

It seems like a typo bug in /usr/lib/sympa/bin/Log.pm where
there is "GROUP BY" instead of "ORDER BY"!

Regards,
-- 
Gregory Colpart <reg@evolix.fr>  GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa@ithilieninc.com>:
Bug#566252; Package sympa. (Fri, 22 Jan 2010 14:09:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to 566252@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa@ithilieninc.com>. (Fri, 22 Jan 2010 14:09:25 GMT) Full text and rfc822 format available.

Message #10 received at 566252@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Gregory Colpart <reg@evolix.fr>, 566252@bugs.debian.org
Subject: Re: Bug#566252: sympa: ERROR: column "XXX" must appear in the GROUP BY clause or be used in an aggregate function
Date: Fri, 22 Jan 2010 15:06:57 +0100
[Message part 1 (text/plain, inline)]
Hi Gregory,

On Fri, Jan 22, 2010 at 02:15:27PM +0100, Gregory Colpart wrote:
>Package: sympa
>Version: 5.3.4-6.1
>Severity: normal
>Tags: patch fixed-upstream

>I upgraded from Etch to Lenny, and I discover a bug when searching in 
>"logs" (on "Admin" section on web interface):
>
>Jan 22 12:40:25 serveur wwsympa[15628]: Log::get_first_db_log() Unable to execute SQL statement "SELECT date_logs AS date, robot_logs AS robot, list_logs AS list, action_logs AS action, parameters_logs AS parameters, target_email_logs AS target_email,msg_id_logs AS msg_id, status_logs AS status, error_type_logs AS error_type, user_email_logs AS user_email, client_logs AS client, daemon_logs AS daemon FROM logs_table WHERE robot_logs='example.com' AND list_logs = 'testlist' GROUP BY date_logs " : ERROR:  column "logs_table.robot_logs" must appear in the GROUP BY clause or be used in an aggregate function
>
>It seems like a typo bug in /usr/lib/sympa/bin/Log.pm where
>there is "GROUP BY" instead of "ORDER BY"!

Thanks for reporting this.

I notice, however, that you've tagged it as fixed upstream.

Only security-related bugs will get applied to stable releases, 
i.e. the package in Lenny. Since we have moved on and (hopefully within 
a week) release sympa 6.0.1 for Debian unstable, we will simply close 
this bug when verified that upstream fix has emerged in debian.

Please tell us interested in testing the newer 6.x version.  We will 
then make that available as an unofficial backport for Lenny.


Kind regards,

- Jonas

-- 
* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from "Stefan Hornburg (Racke)" <racke@linuxia.de> to control@bugs.debian.org. (Sun, 11 Apr 2010 14:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa@ithilieninc.com>:
Bug#566252; Package sympa. (Sun, 11 Apr 2010 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Hornburg (Racke)" <racke@linuxia.de>:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa@ithilieninc.com>. (Sun, 11 Apr 2010 15:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 566252@bugs.debian.org (full text, mbox):

From: "Stefan Hornburg (Racke)" <racke@linuxia.de>
To: Gregory Colpart <reg@evolix.fr>, 566252@bugs.debian.org
Subject: Re: Bug#566252: sympa: ERROR: column "XXX" must appear in the GROUP BY clause or be used in an aggregate function
Date: Sun, 11 Apr 2010 16:33:17 +0200
tags 566252 + pending
thanks

Gregory Colpart wrote:
> Package: sympa
> Version: 5.3.4-6.1
> Severity: normal
> Tags: patch fixed-upstream
> 
> Hello,
> 
> I upgraded from Etch to Lenny, and I discover a bug when searching in
> "logs" (on "Admin" section on web interface):
> 
> Jan 22 12:40:25 serveur wwsympa[15628]: Log::get_first_db_log() Unable to execute SQL statement "SELECT date_logs AS date, robot_logs AS robot, list_logs AS list, action_logs AS action, parameters_logs AS parameters, target_email_logs AS target_email,msg_id_logs AS msg_id, status_logs AS status, error_type_logs AS error_type, user_email_logs AS user_email, client_logs AS client, daemon_logs AS daemon FROM logs_table WHERE robot_logs='example.com' AND list_logs = 'testlist' GROUP BY date_logs " : ERROR:  column "logs_table.robot_logs" must appear in the GROUP BY clause or be used in an aggregate function
> 
> It seems like a typo bug in /usr/lib/sympa/bin/Log.pm where
> there is "GROUP BY" instead of "ORDER BY"!
> 
> Regards,

I verified that the bug is fixed in Sympa 6.

Regards
         Racke


-- 
LinuXia Systems => http://www.linuxia.de/
Expert Interchange Consulting and System Administration
ICDEVGROUP => http://www.icdevgroup.org/
Interchange Development Team





Reply sent to Stefan Hornburg (Racke) <racke@linuxia.de>:
You have taken responsibility. (Mon, 12 Apr 2010 18:03:36 GMT) Full text and rfc822 format available.

Notification sent to Gregory Colpart <reg@evolix.fr>:
Bug acknowledged by developer. (Mon, 12 Apr 2010 18:03:36 GMT) Full text and rfc822 format available.

Message #22 received at 566252-close@bugs.debian.org (full text, mbox):

From: Stefan Hornburg (Racke) <racke@linuxia.de>
To: 566252-close@bugs.debian.org
Subject: Bug#566252: fixed in sympa 6.0.1-1
Date: Mon, 12 Apr 2010 17:59:44 +0000
Source: sympa
Source-Version: 6.0.1-1

We believe that the bug you reported is fixed in the latest version of
sympa, which is due to be installed in the Debian FTP archive:

sympa_6.0.1-1.diff.gz
  to main/s/sympa/sympa_6.0.1-1.diff.gz
sympa_6.0.1-1.dsc
  to main/s/sympa/sympa_6.0.1-1.dsc
sympa_6.0.1-1_amd64.deb
  to main/s/sympa/sympa_6.0.1-1_amd64.deb
sympa_6.0.1.orig.tar.gz
  to main/s/sympa/sympa_6.0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Hornburg (Racke) <racke@linuxia.de> (supplier of updated sympa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Apr 2010 15:09:48 +0200
Source: sympa
Binary: sympa
Architecture: source amd64
Version: 6.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Sympa team <pkg-sympa@ithilieninc.com>
Changed-By: Stefan Hornburg (Racke) <racke@linuxia.de>
Description: 
 sympa      - Modern mailing list manager
Closes: 338189 423023 440109 466530 496515 501605 519977 537188 539015 544875 549440 550404 556592 563407 565787 566252
Changes: 
 sympa (6.0.1-1) unstable; urgency=low
 .
   * New upstream release. Closes: #566252, #565787, #556592, #549440.
 .
   [ Jonas Smedegaard ]
   * Drop build-dependency on autotools-dev, no longer needed.
   * Update local CDBS snippets:
     + Update package-relations.mk: Cleanup and tighten dependencies.
       Improve whitespace cleanup. Rewrite and silence applying
       dependencies.
     + Let copyright-check.mk investigate top 99999 lines (not just 60 as
       default for licensecheck), and make it configurable with
       DEB_COPYRIGHT_CHECK_PARSELINES. Silence (GENERATED FILE) licensing
       notices. List files grouped by sorted owner list (ignoring years).
       Preserve unusual characters in copyright_hints file.
     + Update upstream-tarball.mk to preserve bzip2 tarballs with source
       format 3.0 (quilt).
   * Fix password handling in debian/postinst. Closes: #501605
     (resurrected from 5.3.4-6.1), thanks to Thomas Viehmann and others.
   * Improve syslog facility handling.
   * reload rsyslog (in addition to sysklogd), and fail those reloads
     gracefully. Related to bug#496074. Closes: #519977
   * Skip copyright-checking binary PO-files.
   * Add DEP3 header to all patches.
   * Adapt patch 2002 (wizard drop localedir) to current source.
   * Disable patch 1009 (postfix virtual aliases support) needing
     extensive adaption work and possibly no longer relevant.
   * Disable patches 2003 and 2991 (sanitize make all) seemingly no
     longer relevant.
   * Add TODOs about possible configure options.
   * Improve referencing some authors (use accents) in debian/copyright.
 .
   [ Stefan Hornburg (Racke) ]
   * Start/stop new bulk daemon in init script.
   * Database and WWSympa is mandatory now.
   * Rewrite (and greatly simplify) patch 2001, and drop no longer needed
     safety check in debian/rules.
   * Rewrite patch 1007 to adapt to upstream changes (array of hashes
     with configuration parameters is now defined in confdef.pm).
   * Dropped build dependency on libmime-base64-perl (Closes: #563407).
   * Don't touch /var/run/sympa in postinst anymore (Closes: #539015,
     thanks to Tim Retout <tim@retout.co.uk> for the report).
   * Moved SOAP client script to examples area (Closes: #496515, thanks to
     Olivier Berger <olivier.berger@it-sudparis.eu> for the report).
   * Don't override preseeded Debconf values (Closes: #550404, thanks to
     John Bazik <jsb@cs.brown.edu> for the report)
   * Rewrite paths in sympa.conf for list and static content directories
     on upgrades from Sympa 5 (Closes: #537188, thanks to Michael
     Stapelberg <michael+db20090501@stapelberg.de> for the report)
   * Revised handling of PostgreSQL install and upgrades
     (Closes: #440109, #466530, #544875)
   * Queue binaries are no longer suid (Closes: #423023)
   * Lintian fixes:
     + Deprecated chown usage in postinst.
     + Bumped up Standards-Version (no changes required).
   * Debconf template changes (Closes: #338189)
     + Removed S/MIME question and in consequence the question for
       private key password.
     + Remove question for WWSympa usage.
     + Fixed question for WWSympa URL.
Checksums-Sha1: 
 e3da62eeaadedc8f0cdf27533766fe3f8cad75d6 1872 sympa_6.0.1-1.dsc
 be8f6c928ee6019811ec68973018bc62cf198b80 6384623 sympa_6.0.1.orig.tar.gz
 886eb1c5a8ae61d5a9d216feddb6be0a6f04e06f 114221 sympa_6.0.1-1.diff.gz
 7d8c12714b5c57206b4bae0bd557999ed4186f1a 2667744 sympa_6.0.1-1_amd64.deb
Checksums-Sha256: 
 3ee3a00b4e381a57086267565f75ac8f4ee7cb1c99ecbc02a845a13d8847eff5 1872 sympa_6.0.1-1.dsc
 3b7d0e7d844b8ca02c5a95186d5d8de05c908a4b7c9ba013fde0ddb2b15a1d1f 6384623 sympa_6.0.1.orig.tar.gz
 9502a18255462b179263abca7e908898b254e19fa227915a2b409ec5355ab578 114221 sympa_6.0.1-1.diff.gz
 27e6931d298fad7f07b177f3bca2f210df28e808957c43d64fb7aa882663a9e8 2667744 sympa_6.0.1-1_amd64.deb
Files: 
 e693064c04d4dad8973b917f2825292f 1872 mail optional sympa_6.0.1-1.dsc
 418fc8f851b4dcaae67785a7b12c4cf5 6384623 mail optional sympa_6.0.1.orig.tar.gz
 cef52e056d21e80eeceb2e169061f345 114221 mail optional sympa_6.0.1-1.diff.gz
 d1bfaa326e6a041ea1f8f5af2ba134dd 2667744 mail optional sympa_6.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvDJbwACgkQjgVfE5tya3E1FACghLLwOfZ2CvSDhzg9ib4dP5+O
0Z8AnRrV2HrVT+c2ifK59zyAZTgyUrSg
=ehq8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 May 2010 07:36:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:09:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.